### Constructor

# Fwupd JcatItem new

since: 2.1.3

#### Declaration [src]

    FwupdJcatItem*
    fwupd_jcat_item_new (
      const gchar* id
    )

#### Description [src]

Creates a new item.

Available since: 2.1.3

#### Parameters

`id`

  Type: `const gchar*`

  An item ID, typically a file basename.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `FwupdJcatItem`

A `FwupdJcatItem`.

The caller of the function takes ownership of the data, and is responsible for freeing it.